Getting time intervals for order changes
The method is available for the LaaS model.
Not yet available for Market Yandex Go sellers.
If you are using an API Key token, one of the accesses in the list is required to call the method
- inventory-and-order-processing — Order processing and inventory
- all-methods — Full account management
Retrieves the list of available intervals for changing the date and time of courier delivery.
| ⚙️ Limit: 10 000 requests per hour |
|---|
Request
POST
https://api.partner.market.yandex.ru/v1/campaigns/{campaignId}/orders/update-options
Path parameters
|
Name |
Description |
|
campaignId |
Type: integer The ID of the campaign (store) — The technical identifier that represents your store in the Yandex Market system when working through the API. It is uniquely linked to your store, but it is intended only for automated interaction. You can find it using a query GET v2/campaigns or find it in the seller's office on the Market. Click on your account icon → Settings and in the menu on the left, select APIs and modules:
⚠️ Do not confuse it with:
Min value: |
Body
application/json
{
"id": 0,
"orderUpdateOption": "UPDATE_DELIVERY_INTERVAL"
}
|
Name |
Description |
|
id |
Type: integer The order ID. |
|
orderUpdateOption |
Type: string Type of order change:
Default: Const: |
Responses
200 OK
A list of available intervals.
Body
application/json
{
"status": "OK",
"result": {
"deliveryIntervals": {
"availableDeliveryIntervals": [
{}
]
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
deliveryIntervals
Type: object
availableDeliveryIntervals
Type: object[]
deliveryDateInterval
Type: object
fromDate
Type: string<date>
The beginning of the interval.
Date format:
YYYY-MM-DD.Example:
2025-01-01toDate
Type: string<date>
End of the interval.
Date format:
YYYY-MM-DD.Example:
2025-01-01The range of delivery dates.
Example
{ "fromDate": "2025-01-01", "toDate": "2025-01-01" }deliveryTimeInterval
Type: object
fromTime
Type: string
The beginning of the interval.
Format:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
exampletoTime
Type: string
End of the interval.
Format:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
exampleThe delivery time interval.
Example
{ "fromTime": "example", "toTime": "example" }Date and time intervals.
If there are no available intervals, an empty array is returned.
Min items:
0Example
[ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" } } ]Available intervals for courier delivery.
Returned only for the type of change
UPDATE_DELIVERY_INTERVAL.Example
{ "availableDeliveryIntervals": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" } } ] }A list of available intervals.
Example
{ "deliveryIntervals": { "availableDeliveryIntervals": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" } } ] } }Example
{ "result": { "deliveryIntervals": { "availableDeliveryIntervals": [ { "deliveryDateInterval": {}, "deliveryTimeInterval": {} } ] } } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of Yandex. Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
No longer supported, please use an alternative and newer version.